org.apache.storm.jdbc.trident.state

## Class JdbcState.Options

- java.lang.Object
- - org.apache.storm.jdbc.trident.state.JdbcState.Options

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JdbcState

      public static class JdbcState.Options
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JdbcState.Options` | `withConnectionProvider(ConnectionProvider connectionProvider)`
    `JdbcState.Options` | `withInsertQuery(String insertQuery)`
    `JdbcState.Options` | `withJdbcLookupMapper(JdbcLookupMapper jdbcLookupMapper)`
    `JdbcState.Options` | `withMapper(JdbcMapper mapper)`
    `JdbcState.Options` | `withQueryTimeoutSecs(int queryTimeoutSecs)`
    `JdbcState.Options` | `withSelectQuery(String selectQuery)`
    `JdbcState.Options` | `withTableName(String tableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### withConnectionProvider

          public JdbcState.Options withConnectionProvider(ConnectionProvider connectionProvider)

    - #### withTableName

          public JdbcState.Options withTableName(String tableName)

    - #### withInsertQuery

          public JdbcState.Options withInsertQuery(String insertQuery)

    - #### withMapper

          public JdbcState.Options withMapper(JdbcMapper mapper)

    - #### withJdbcLookupMapper

          public JdbcState.Options withJdbcLookupMapper(JdbcLookupMapper jdbcLookupMapper)

    - #### withSelectQuery

          public JdbcState.Options withSelectQuery(String selectQuery)

    - #### withQueryTimeoutSecs

          public JdbcState.Options withQueryTimeoutSecs(int queryTimeoutSecs)

Copyright © 2021 The Apache Software Foundation. All rights reserved.